CANVAS_DRAW_RGB_IMAGE(3)

FUNCTION
canvas_draw_rgb_image - Draw a TrueColour image onto a world canvas.

SYNOPSIS
#include <karma_canvas.h>

flag canvas_draw_rgb_image

(KWorldCanvas canvas, array_desc *arr_desc, CONST char *slice, unsigned int hdim, unsigned int vdim, unsigned int red_index, unsigned int green_index, unsigned int blue_index, KPixCanvasImageCache *cache_ptr)

DESCRIPTION
This routine will draw a 2-dimensional TrueColour slice of a Karma array onto a world canvas. This slice may be tiled.

canvas
    The world canvas.

arr_desc
    The array descriptor for the image.

slice
    The start of the slice (image) data.

hdim
    The dimension index of the horizontal dimension.

vdim
    The dimension index of the vertical dimension.

red_index
    The element index of the red components.

green_index
    The element index of the green components.

blue_index
    The element index of the blue components.

cache_ptr
    The routine may produce cache data which will vastly increase the speed of subsequent operations on this data. The routine will write a pointer to this data here. Prior to process exit, a call MUST be made to <-kwin_free_cache_data->, otherwise shared memory segments could remain after the process exits.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/